// 页面路径：store/index.js
import Vue from 'vue';
import Vuex from 'vuex';
import persistence from 'vuex-uniapp-persistence';

Vue.use(Vuex); //vue的插件机制
//Vuex.Store 构造器选项
const store = new Vuex.Store({
  // 使用模块
  state: {},
  getters: {},
  modules: {},
  plugins: [persistence()], //持久化插件
});
export default store;
